window.mySocket = {
    socket : null,
    initSocket(){
        this.socket = 250
    },
    getMsg(callback){
        if (callback) {
            setTimeout(function () {
                callback(this.socket)
            }.bind(this),2000)
        }
    }
}
//找地方这样去执行
mySocket.initSocket()
mySocket.getMsg(function (socket) {
    console.log("回来的是什么",socket);
}.bind(this))